org.apache.torque.generator.control.existingtargetstrategy

## Class ReplaceTargetFileStrategy

- java.lang.Object
- - org.apache.torque.generator.control.existingtargetstrategy.ReplaceTargetFileStrategy

- All Implemented Interfaces:
    ExistingTargetStrategy
  Direct Known Subclasses:
    SkipExistingTargetFileStrategy

      public class ReplaceTargetFileStrategy
      extends Object
      implements ExistingTargetStrategy

  A handler which implements the strategy to replace existing target files.
  Version:
    $Id: ReplaceTargetFileStrategy.java 1839288 2018-08-27 09:48:33Z tv $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `STRATEGY_NAME` The strategy name "replace".

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplaceTargetFileStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterGeneration(String outputDirKey, String outputPath, String encoding, OutletResult generationResult, UnitConfiguration unitConfiguration)` Processes the results of the generation.
    `boolean` | `beforeGeneration(String outputDirKey, String outputPath, String encoding, UnitConfiguration unitConfiguration)` Will be called before the generation is started and decides whether the generation process for this file should proceed.
    `String` | `getStrategyName()` Returns the name of the existing target strategy.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRATEGY_NAME

          public static final String STRATEGY_NAME

      The strategy name "replace".
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReplaceTargetFileStrategy

          public ReplaceTargetFileStrategy()

  - ### Method Detail

    - #### beforeGeneration

          public boolean beforeGeneration(String outputDirKey,
                                          String outputPath,
                                          String encoding,
                                          UnitConfiguration unitConfiguration)

      Will be called before the generation is started and decides whether the generation process for this file should proceed.
      Specified by:
        `beforeGeneration` in interface `ExistingTargetStrategy`
      Parameters:
        `outputDirKey` - the key for the output directory into which the generated file should be written, null for the default output directory.
        `outputPath` - the path to which the output should be written, relative to the output base directory.
        `encoding` - The character encoding of the generated file, or null for the platform default encoding.
        `unitConfiguration` - the configuration of the current configuration unit, not null.
      Returns:
        true always.

    - #### afterGeneration

          public void afterGeneration(String outputDirKey,
                                      String outputPath,
                                      String encoding,
                                      OutletResult generationResult,
                                      UnitConfiguration unitConfiguration)
                               throws GeneratorException

      Processes the results of the generation.
      Specified by:
        `afterGeneration` in interface `ExistingTargetStrategy`
      Parameters:
        `outputDirKey` - the key for the output directory into which the generated file should be written, null for the default output directory.
        `outputPath` - the path to which the output should be written, relative to the output base directory.
        `encoding` - The character encoding of the generated file, or null for the platform default encoding.
        `generationResult` - the result of the generation, not null.
        `unitConfiguration` - the configuration of the current configuration unit, not null.
      Throws:
        `GeneratorException` - on an error.

    - #### getStrategyName

          public String getStrategyName()

      Returns the name of the existing target strategy.
      Specified by:
        `getStrategyName` in interface `ExistingTargetStrategy`
      Returns:
        "replace"

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.